# Customer/Extended

## View Customer Expansion Information

> version=0.0.1\
> bizType=customer.app.CustomerExtendWebApiService.findCustomerExtend\
> Accessible after login

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Extended"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerExtendWebApiService.findCustomerExtend":{"post":{"summary":"View Customer Expansion Information","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerExtendWebApiService.findCustomerExtend\nAccessible after login","operationId":"findCustomerExtend","tags":["Customer/Extended"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"integer","format":"int32","description":"Expansion Type, 1=payRedeem"}},"required":["type"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultObject"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResultObject":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data Body","properties":{}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}}}
```

## Save Customer Extension Information

> version=0.0.1\
> bizType=customer.app.CustomerExtendWebApiService.saveCustomerExtend\
> Accessible after login

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Extended"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerExtendWebApiService.saveCustomerExtend":{"post":{"summary":"Save Customer Extension Information","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerExtendWebApiService.saveCustomerExtend\nAccessible after login","operationId":"saveCustomerExtend","tags":["Customer/Extended"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"integer","format":"int32","description":"Expansion Type, 1=payRedeem"},"value":{"type":"string","description":"Extension Information"}},"required":["type"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResult1"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResult1":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data Body","properties":{}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/more.../customer-extended.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
